"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ngAddCustomWebpack = void 0;
const tasks_1 = require("@angular-devkit/schematics/tasks");
const utils_1 = require("../utils");
function ngAddCustomWebpack(options) {
    return (host, context) => {
        const ngCoreVersionTag = utils_1.getPackageVersionFromPackageJson(host, '@angular/core');
        const angularDependencyVersion = ngCoreVersionTag || '0.0.0-NG';
        const packageName = '@angular-builders/custom-webpack';
        const version = tilderize(angularDependencyVersion);
        utils_1.addPackageToPackageJson(host, packageName, version, 'devDependencies');
        utils_1.setAllCustomWebpackBuilderToAngularJson(host, options.project, options.path);
        context.addTask(new tasks_1.NodePackageInstallTask());
    };
}
exports.ngAddCustomWebpack = ngAddCustomWebpack;
function tilderize(version) {
    const [major, minor] = utils_1.parseVersion(version);
    return `~${major}.${minor}.0`;
}
//# sourceMappingURL=index.js.map